Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Interface FindBugsReports

    org.gradle.api.NamedDomainObjectSet
      org.gradle.util.Configurable
          org.gradle.api.plugins.quality.FindBugsReports
              java.lang.Iterable
                  org.gradle.api.NamedDomainObjectCollection
                      org.gradle.api.DomainObjectCollection
                          org.gradle.api.reporting.ReportContainer
                              java.util.Collection

All Superinterfaces:
  NamedDomainObjectSet, Configurable, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

    public interface FindBugsReports
    extends ReportContainer

The reporting configuration for the FindBugs task. Only one of the reports can be enabled when the task executes. If more than one is enabled, an InvalidUserDataException will be thrown.

Method Summary
`SingleFileReport` | `getEmacs()` The findbugs Emacs report
`SingleFileReport` | `getHtml()` The findbugs HTML report
`SingleFileReport` | `getText()` The findbugs Text report
`FindBugsXmlReport` | `getXml()` The findbugs XML report

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getEmacs

    public SingleFileReport getEmacs()

  The findbugs Emacs report
  Returns:
    The findbugs Emacs report

### getHtml

    public SingleFileReport getHtml()

  The findbugs HTML report
  Returns:
    The findbugs HTML report

### getText

    public SingleFileReport getText()

  The findbugs Text report
  Returns:
    The findbugs Text report

### getXml

    public FindBugsXmlReport getXml()

  The findbugs XML report
  Returns:
    The findbugs XML report

Gradle API 1.10